function cart_write(catn, amount = 1) {
    $.ajax({
        url: '/order/write',
        type: 'post',
        dataType: 'json',
        data: {
            '_csrf': yii.getCsrfToken(),
            'supplies': [
                catn,
                amount
            ]
        },
        success: cart_success,
        error: cart_error
    });

    return false;
}


function cart_success(data, status) {
    // Обработка ответов от удавшихся запросов

    // Основной блок
    if (data.main !== undefined) {
        main = document.getElementsByTagName('main')[0];

        // Обновление документа
        main.innerHTML = data.main;

        // Реинициализация
        reinitialization(main);
    }

    // CSRF-токен
    if (data._csrf !== undefined) {
        // Обновление документа
        $('meta[name=csrf-token]').prop("content", data._csrf);
    }
}

function cart_error(data, status) {
    // Обработка ответов от неудавшихся запросов

    // Основной блок
    if (data.responseJSON.main !== undefined) {
        main = document.getElementsByTagName('main')[0];

        // Обновление окна результатов поиска
        main.innerHTML = data.main;

        // Реинициализация
        reinitialization(main);
    }

    // CSRF-токен
    if (data.responseJSON._csrf !== undefined) {
        // Обновление документа
        $('meta[name=csrf-token]').prop("content", data.responseJSON._csrf);
    }
}